Skip to main content
GET
Fetch Room Messages

Authorizations

token
string
query
required

Vida API Token

Path Parameters

roomId
string
required

Room Id to fetch messages for

Query Parameters

targetAccountId
integer

Selected account that owns the room. Include this when the API token can access more than one account.

Response

200 - application/json

Successful response

message
string

Message text

Example:

"Hey there!"

from
number

From User Id

Example:

15

fromUser
string

From User Name

Example:

"Brandon"

to
number

From User Id

Example:

35554545

toUser
string

To User Name

Example:

"Jillian"

timestamp
number

Epoch of the last messages timestamp

Example:

1699633022

date
string

Friendly Date

Example:

"2023-11-10T16:17:02.000Z"

roomId
string

Room Id

Example:

"15:35554545"

status
string

If message was delivered. Status of success indicates delivered

Example:

"success"

attachments
string

Array of media attachment Urls.

Example:

"[]"

drip
boolean

If this message was a paid drip

Example:

false

uuid
string

Unique id for message

Example:

"3b38f0af-7341-49fd-acce-1749c904e00d"

source
string

Source medium for the message. Could have sourced from a vida client, sms, voice, email

Example:

"sms"

roomInitiator
string

User name who first initiated contact for the room

Example:

"brandon"